const addStamp = require('./addStamp');

describe('addStamp', () => {
  test('adds a stamp', () => {
    expect(
      addStamp(
        `# Hello, World!
`,
        './emdaer/HELLO_WORLD.emdaer.md'
      )
    ).toBe(`<!--
  This file was generated by emdaer

  Its template can be found at ./emdaer/HELLO_WORLD.emdaer.md
-->

# Hello, World!
`);
  });

  test('adds a stamp with a relative path', () => {
    jest.spyOn(process, 'cwd').mockReturnValueOnce('/Users/name/code/oss');
    expect(
      addStamp(
        `# Hello, World!
`,
        '/Users/name/code/oss/.emdaer/HELLO_WORLD.emdaer.md'
      )
    ).toBe(`<!--
  This file was generated by emdaer

  Its template can be found at .emdaer/HELLO_WORLD.emdaer.md
-->

# Hello, World!
`);
  });
});
